# IRsSysFactory Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateNode ([in] const IID *piid,[out, retval] IRsNode **ppNode)
HRESULT | CreateCommand ([in] const IID *piid,[out, retval] IRsCommand **ppCmd)
HRESULT | CreateDataObj ([in] const IID *piid,[out, retval] IRsDataObject **ppDataObj)
HRESULT | CreateLangObj ([in] const IID *piid,[out, retval] IRsLangObject **ppLangObj)
HRESULT | CreateCmdDesc ([out, retval] IRsCmdDesc **ppDesc)
HRESULT | CreateNodeDesc ([out, retval] IRsNodeDesc **ppDesc)
HRESULT | Update ([in] IRsUnknownPackage *pPackage)
HRESULT | CreateDataObjDesc ([out, retval] IRsDataObjDesc **ppDesc)
HRESULT | CreateLangObjDesc ([out, retval] IRsLangObjDesc **ppDesc)
HRESULT | CreateConnectorDesc ([in]const RtConDesc *pDesc,[out, retval] IRsConDescriptor **ppConDesc)
HRESULT | RegisterConnectorDesc ([in] IRsConDescriptor *pNewDesc,[out] IRsConDescriptor **ppRegDesc)
HRESULT | FindNodeDesc ([in] const IID *piid,[out, retval] IRsNodeDesc **ppNodeDesc)
HRESULT | FindCmdDesc ([in] const IID *piid,[out, retval] IRsCmdDesc **ppCmdDesc)
HRESULT | FindConnectorDesc ([in] const CONID *piid,[out, retval] IRsConDescriptor **ppConDesc)
HRESULT | CreateBaseToolMng ([in] IUnknown *pUnkOuter,[out, retval] IUnknown **ppBaseToolMng)
HRESULT | FindObjectIID ([in] LPCWSTR szClassName,[out, retval] IID *piid)
HRESULT | RegisterConnectors ([in] IRsUnknownPackage *pUnkPck)
HRESULT | RegisterNodes ([in] IRsUnknownPackage *pUnkPck)
HRESULT | RegisterDataObjects ([in] IRsUnknownPackage *pUnkPck)
HRESULT | RegisterCommands ([in] IRsUnknownPackage *pUnkPck)
HRESULT | FindParentPackage ([in] IRsObject *pObj,[out, retval] IRsUnknownPackage **ppUnkPck)
HRESULT | RegisterLangObjects (IRsUnknownPackage *pUnkPck)
HRESULT | Destroy (void)
HRESULT | CreateNodeWithDebugInfo ([in] const IID *piid,[in] BSTR bsFile,[in] int iLine,[out, retval] IRsNode **ppNode)
HRESULT | FindObjectClassName (const IID *piid, BSTR *pbsClassName)
HRESULT | CreateCOMObjectInstance ([in] const IID *piid,[out, retval] IUnknown **ppObj)

## Detailed Description

System factory for creating nodes, data objects, etc... Uses package-provided factories to create instances of objects.

## Member Function Documentation

HRESULT IRsSysFactory::CreateNode | ( | [in] const IID * | piid,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

Parameters:

  | piid | [in] .

Returns:
  ppNode [out,retval] .

HRESULT IRsSysFactory::CreateCommand | ( | [in] const IID * | piid,
|  | [out, retval] IRsCommand ** | ppCmd |
| ) |  |  |

Parameters:

  | piid | [in] .

Returns:
  ppCmd [out,retval] .

HRESULT IRsSysFactory::CreateDataObj | ( | [in] const IID * | piid,
|  | [out, retval] IRsDataObject ** | ppDataObj |
| ) |  |  |

Parameters:

  | piid | [in] .

Returns:
  ppDataObj [out,retval] .

HRESULT IRsSysFactory::CreateLangObj | ( | [in] const IID * | piid,
|  | [out, retval] IRsLangObject ** | ppLangObj |
| ) |  |  |

Parameters:

  | piid | [in] .

Returns:
  ppDataObj [out,retval] .

HRESULT IRsSysFactory::CreateCmdDesc | ( | [out, retval] IRsCmdDesc ** | ppDesc | ) |

Returns:
  ppDesc [out,retval] .

HRESULT IRsSysFactory::CreateNodeDesc | ( | [out, retval] IRsNodeDesc ** | ppDesc | ) |

Returns:
  ppDesc [out,retval] .

HRESULT IRsSysFactory::Update | ( | [in] IRsUnknownPackage * | pPackage | ) |

Parameters:

  | pPackage | [in] .

HRESULT IRsSysFactory::CreateDataObjDesc | ( | [out, retval] IRsDataObjDesc ** | ppDesc | ) |

Returns:
  ppDesc [out,retval] .

HRESULT IRsSysFactory::CreateLangObjDesc | ( | [out, retval] IRsLangObjDesc ** | ppDesc | ) |

Returns:
  ppDesc [out,retval] .

HRESULT IRsSysFactory::CreateConnectorDesc | ( | [in] const RtConDesc * | pDesc,
|  | [out, retval] IRsConDescriptor ** | ppConDesc |
| ) |  |  |

Call to create the connector descriptor object

Parameters:

  | pDesc | [in] Specify the connector description. If it is not specified (NULL), then only the object descriptor will be created without checking the already existing objects

Returns:
  ppConDesc [out,retval] Returns the connector descriptor object.

HRESULT IRsSysFactory::RegisterConnectorDesc | ( | [in] IRsConDescriptor * | pNewDesc,
|  | [out] IRsConDescriptor ** | ppRegDesc |
| ) |  |  |

Parameters:

  | pNewDesc | [in] .
  | ppRegDesc | [out] .

HRESULT IRsSysFactory::FindNodeDesc | ( | [in] const IID * | piid,
|  | [out, retval] IRsNodeDesc ** | ppNodeDesc |
| ) |  |  |

Parameters:

  | ppid | [in] .

Returns:
  ppNodeDesc [out,retval] .

HRESULT IRsSysFactory::FindCmdDesc | ( | [in] const IID * | piid,
|  | [out, retval] IRsCmdDesc ** | ppCmdDesc |
| ) |  |  |

Parameters:

  | ppid | [in] .

Returns:
  ppCmdDesc [out,retval] .

HRESULT IRsSysFactory::FindConnectorDesc | ( | [in] const CONID * | piid,
|  | [out, retval] IRsConDescriptor ** | ppConDesc |
| ) |  |  |

Parameters:

  | pDesc | [in] .

Returns:
  ppConDesc [out,retval] .

HRESULT IRsSysFactory::CreateBaseToolMng | ( | [in] IUnknown * | pUnkOuter,
|  | [out, retval] IUnknown ** | ppBaseToolMng |
| ) |  |  |

Parameters:

  | pUnkOuter | [in] .

Returns:
  ppCBaseToolMng [out,retval] .

HRESULT IRsSysFactory::FindObjectIID | ( | [in] LPCWSTR | szClassName,
|  | [out, retval] IID * | piid |
| ) |  |  |

Parameters:

  | szClassName | [in] .

Returns:
  ppid [out,retval] .

HRESULT IRsSysFactory::RegisterConnectors | ( | [in] IRsUnknownPackage * | pUnkPck | ) |

Parameters:

  | pUnkPck | [in] .

HRESULT IRsSysFactory::RegisterNodes | ( | [in] IRsUnknownPackage * | pUnkPck | ) |

Parameters:

  | pUnkPck | [in] .

HRESULT IRsSysFactory::RegisterDataObjects | ( | [in] IRsUnknownPackage * | pUnkPck | ) |

Parameters:

  | pUnkPck | [in] .

HRESULT IRsSysFactory::RegisterCommands | ( | [in] IRsUnknownPackage * | pUnkPck | ) |

Parameters:

  | pUnkPck | [in] .

HRESULT IRsSysFactory::FindParentPackage | ( | [in] IRsObject * | pObj,
|  | [out, retval] IRsUnknownPackage ** | ppUnkPck |
| ) |  |  |

Parameters:

  | pObj | [in] .

Returns:
  ppUnkPck [out,retval] .

HRESULT IRsSysFactory::RegisterLangObjects | ( | IRsUnknownPackage * | pUnkPck | ) |

RegisterLangObjects.

HRESULT IRsSysFactory::Destroy | ( | void |  | ) |

Destroy.

HRESULT IRsSysFactory::CreateNodeWithDebugInfo | ( | [in] const IID * | piid,
|  | [in] BSTR | bsFile,
|  | [in] int | iLine,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

Parameters:

  | ppid | [in] .
  | bsFile | [in] .

Returns:
  ppNode [out,retval] .

HRESULT IRsSysFactory::FindObjectClassName | ( | const IID * | piid,
|  | BSTR * | pbsClassName |
| ) |  |  |

FindObjectClassName

HRESULT IRsSysFactory::CreateCOMObjectInstance | ( | [in] const IID * | piid,
|  | [out, retval] IUnknown ** | ppObj |
| ) |  |  |

Parameters:

  | ppid | [in] .

Returns:
  ppObj [out,retval] .